%define upstream_name    Test-Most
%define upstream_version 0.38

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Most commonly needed test functions and features
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exception::Class) >= 1.140.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Deep) >= 0.119.0
BuildRequires: perl(Test::Differences) >= 0.640.0
BuildRequires: perl(Test::Exception) >= 0.430.0
BuildRequires: perl(Test::Harness) >= 3.350.0
BuildRequires: perl(Test::More) >= 1.302.47
BuildRequires: perl(Test::Warn) >= 0.300.0
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.380.0-2.mga10
+ Revision: 2215270
- Mageia 10 Mass Rebuild

* Wed Sep 28 2022 tv <tv> 0.380.0-1.mga9
+ Revision: 1893012
- update to 0.38

* Mon Mar 21 2022 umeabot <umeabot> 0.370.0-2.mga9
+ Revision: 1812515
- Mageia 9 Mass Rebuild

* Mon Apr 06 2020 tv <tv> 0.370.0-1.mga8
+ Revision: 1565077
- update to 0.37

* Wed Feb 12 2020 umeabot <umeabot> 0.350.0-3.mga8
+ Revision: 1506489
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.350.0-2.mga7
+ Revision: 1286681
- Mageia 7 Mass Rebuild

* Sun Jul 23 2017 shlomif <shlomif> 0.350.0-1.mga7
+ Revision: 1128971
- update to 0.35

* Sun Jun 19 2016 pterjan <pterjan> 0.340.0-5.mga6
+ Revision: 1034409
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.340.0-4.mga6
+ Revision: 943439
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.340.0-3.mga5
+ Revision: 740142
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.340.0-2.mga5
+ Revision: 686497
- Mageia 5 Mass Rebuild

* Sun Aug 03 2014 sander85 <sander85> 0.340.0-1.mga5
+ Revision: 659448
- update to 0.34

* Sun Feb 09 2014 sander85 <sander85> 0.330.0-1.mga5
+ Revision: 587542
- update to 0.33

* Fri Oct 18 2013 umeabot <umeabot> 0.310.0-3.mga4
+ Revision: 515204
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.310.0-2.mga3
+ Revision: 373660
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.310.0-1.mga3
+ Revision: 295069
- update to 0.31
- update to 0.25

* Tue Jun 21 2011 jquelin <jquelin> 0.240.0-1.mga2
+ Revision: 111454
- update to 0.24

* Sat Jan 22 2011 jquelin <jquelin> 0.230.0-1.mga1
+ Revision: 32454
- mageia rebuild
- imported package perl-Test-Most

